diff --git a/books/Makefile.pamphlet b/books/Makefile.pamphlet
index b79072f..93d9570 100644
--- a/books/Makefile.pamphlet
+++ b/books/Makefile.pamphlet
@@ -40,12 +40,13 @@ BUUKS=${PDF}/bookvol2.pdf ${PDF}/bookvol3.pdf \
       ${PDF}/bookvol5.pdf ${PDF}/bookvol6.pdf ${PDF}/bookvol7.pdf \
       ${PDF}/bookvol9.pdf ${PDF}/bookvol12.pdf
 
-all: ${PDF}/axiom.sty ${BUUKS} ${BOOKS} ${PDF}/toc.pdf
+all: ${PDF}/axiom.sty ${BUUKS} ${BOOKS} ${PDF}/toc.pdf 
 
 ${PDF}/bookvol2.pdf: ${IN}/bookvol2.pamphlet 
 	@echo books/1 making ${PDF}/bookvol2.pdf from ${IN}/bookvol2.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol2.pamphlet ${PDF}/bookvol2.tex ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} bookvol2.toc ; \
@@ -56,6 +57,7 @@ ${PDF}/bookvol2.pdf: ${IN}/bookvol2.pamphlet
 	    ${RM} bookvol2.aux bookvol2.dvi bookvol2.log bookvol2.ps ; \
             ${RM} bookvol2.idx bookvol2.tex bookvol2.pamphlet ; \
 	    ${RM} bookvol2.ilg bookvol2.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} bookvol2.toc ; \
 	    ${LATEX} bookvol2.tex >${TMP}/trace ; \
@@ -66,12 +68,14 @@ ${PDF}/bookvol2.pdf: ${IN}/bookvol2.pamphlet
 	    ${RM} bookvol2.aux bookvol2.dvi bookvol2.log bookvol2.ps ; \
             ${RM} bookvol2.idx bookvol2.tex bookvol2.pamphlet ; \
 	    ${RM} bookvol2.ilg bookvol2.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 ${PDF}/bookvol3.pdf: ${IN}/bookvol3.pamphlet 
 	@echo books/1 making ${PDF}/bookvol3.pdf from ${IN}/bookvol3.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol3.pamphlet ${PDF}/bookvol3.tex ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} bookvol3.toc ; \
@@ -82,6 +86,7 @@ ${PDF}/bookvol3.pdf: ${IN}/bookvol3.pamphlet
 	    ${RM} bookvol3.aux bookvol3.dvi bookvol3.log bookvol3.ps ; \
             ${RM} bookvol3.idx bookvol3.tex bookvol3.pamphlet ; \
 	    ${RM} bookvol3.ilg bookvol3.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} bookvol3.toc ; \
 	    ${LATEX} bookvol3.tex >${TMP}/trace ; \
@@ -92,12 +97,14 @@ ${PDF}/bookvol3.pdf: ${IN}/bookvol3.pamphlet
 	    ${RM} bookvol3.aux bookvol3.dvi bookvol3.log bookvol3.ps ; \
             ${RM} bookvol3.idx bookvol3.tex bookvol3.pamphlet ; \
 	    ${RM} bookvol3.ilg bookvol3.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 ${PDF}/bookvol4.pdf: ${IN}/bookvol4.pamphlet 
 	@echo books/1 making ${PDF}/bookvol4.pdf from ${IN}/bookvol4.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol4.pamphlet ${PDF}/bookvol4.tex ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} bookvol4.toc ; \
@@ -108,6 +115,7 @@ ${PDF}/bookvol4.pdf: ${IN}/bookvol4.pamphlet
 	    ${RM} bookvol4.aux bookvol4.dvi bookvol4.log bookvol4.ps ; \
             ${RM} bookvol4.idx bookvol4.tex bookvol4.pamphlet ; \
 	    ${RM} bookvol4.ilg bookvol4.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} bookvol4.toc ; \
 	    ${LATEX} bookvol4.tex >${TMP}/trace ; \
@@ -118,12 +126,14 @@ ${PDF}/bookvol4.pdf: ${IN}/bookvol4.pamphlet
 	    ${RM} bookvol4.aux bookvol4.dvi bookvol4.log bookvol4.ps ; \
             ${RM} bookvol4.idx bookvol4.tex bookvol4.pamphlet ; \
 	    ${RM} bookvol4.ilg bookvol4.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 ${PDF}/bookvol5.pdf: ${IN}/bookvol5.pamphlet 
 	@echo books/1 making ${PDF}/bookvol5.pdf from ${IN}/bookvol5.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol5.pamphlet ${PDF}/bookvol5.tex ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} bookvol5.toc ; \
@@ -134,6 +144,7 @@ ${PDF}/bookvol5.pdf: ${IN}/bookvol5.pamphlet
 	    ${RM} bookvol5.aux bookvol5.dvi bookvol5.log bookvol5.ps ; \
             ${RM} bookvol5.idx bookvol5.tex bookvol5.pamphlet ; \
 	    ${RM} bookvol5.ilg bookvol5.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} bookvol5.toc ; \
 	    ${LATEX} bookvol5.tex >${TMP}/trace ; \
@@ -144,12 +155,14 @@ ${PDF}/bookvol5.pdf: ${IN}/bookvol5.pamphlet
 	    ${RM} bookvol5.aux bookvol5.dvi bookvol5.log bookvol5.ps ; \
             ${RM} bookvol5.idx bookvol5.tex bookvol5.pamphlet ; \
 	    ${RM} bookvol5.ilg bookvol5.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 ${PDF}/bookvol6.pdf: ${IN}/bookvol6.pamphlet 
 	@echo books/1 making ${PDF}/bookvol6.pdf from ${IN}/bookvol6.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol6.pamphlet ${PDF}/bookvol6.tex ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} bookvol6.toc ; \
@@ -160,6 +173,7 @@ ${PDF}/bookvol6.pdf: ${IN}/bookvol6.pamphlet
 	    ${RM} bookvol6.aux bookvol6.dvi bookvol6.log bookvol6.ps ; \
             ${RM} bookvol6.idx bookvol6.tex bookvol6.pamphlet ; \
 	    ${RM} bookvol6.ilg bookvol6.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} bookvol6.toc ; \
 	    ${LATEX} bookvol6.tex >${TMP}/trace ; \
@@ -170,12 +184,14 @@ ${PDF}/bookvol6.pdf: ${IN}/bookvol6.pamphlet
 	    ${RM} bookvol6.aux bookvol6.dvi bookvol6.log bookvol6.ps ; \
             ${RM} bookvol6.idx bookvol6.tex bookvol6.pamphlet ; \
 	    ${RM} bookvol6.ilg bookvol6.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 ${PDF}/bookvol7.pdf: ${IN}/bookvol7.pamphlet 
 	@echo books/1 making ${PDF}/bookvol7.pdf from ${IN}/bookvol7.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol7.pamphlet ${PDF}/bookvol7.tex ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} bookvol7.toc ; \
@@ -186,6 +202,7 @@ ${PDF}/bookvol7.pdf: ${IN}/bookvol7.pamphlet
 	    ${RM} bookvol7.aux bookvol7.dvi bookvol7.log bookvol7.ps ; \
             ${RM} bookvol7.idx bookvol7.tex bookvol7.pamphlet ; \
 	    ${RM} bookvol7.ilg bookvol7.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} bookvol7.toc ; \
 	    ${LATEX} bookvol7.tex >${TMP}/trace ; \
@@ -196,12 +213,14 @@ ${PDF}/bookvol7.pdf: ${IN}/bookvol7.pamphlet
 	    ${RM} bookvol7.aux bookvol7.dvi bookvol7.log bookvol7.ps ; \
             ${RM} bookvol7.idx bookvol7.tex bookvol7.pamphlet ; \
 	    ${RM} bookvol7.ilg bookvol7.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 ${PDF}/bookvol9.pdf: ${IN}/bookvol9.pamphlet 
 	@echo books/1 making ${PDF}/bookvol9.pdf from ${IN}/bookvol9.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol9.pamphlet ${PDF}/bookvol9.tex ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} bookvol9.toc ; \
@@ -212,6 +231,7 @@ ${PDF}/bookvol9.pdf: ${IN}/bookvol9.pamphlet
 	    ${RM} bookvol9.aux bookvol9.dvi bookvol9.log bookvol9.ps ; \
             ${RM} bookvol9.idx bookvol9.tex bookvol9.pamphlet ; \
 	    ${RM} bookvol9.ilg bookvol9.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} bookvol9.toc ; \
 	    ${LATEX} bookvol9.tex >${TMP}/trace ; \
@@ -222,12 +242,14 @@ ${PDF}/bookvol9.pdf: ${IN}/bookvol9.pamphlet
 	    ${RM} bookvol9.aux bookvol9.dvi bookvol9.log bookvol9.ps ; \
             ${RM} bookvol9.idx bookvol9.tex bookvol9.pamphlet ; \
 	    ${RM} bookvol9.ilg bookvol9.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 ${PDF}/bookvol10.2.pdf: ${IN}/bookvol10.2.pamphlet 
 	@echo books/1 making ${PDF}/bookvol10.2.pdf from ${IN}/bookvol10.2.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol10.2.pamphlet ${PDF}/bookvol10.2.tex ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} bookvol10.2.toc ; \
@@ -239,6 +261,7 @@ ${PDF}/bookvol10.2.pdf: ${IN}/bookvol10.2.pamphlet
 	    ${RM} bookvol10.2.ps ; \
             ${RM} bookvol10.2.idx bookvol10.2.tex bookvol10.2.pamphlet ; \
 	    ${RM} bookvol10.2.ilg bookvol10.2.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} bookvol10.2.toc ; \
 	    ${LATEX} bookvol10.2.tex >${TMP}/trace ; \
@@ -250,12 +273,14 @@ ${PDF}/bookvol10.2.pdf: ${IN}/bookvol10.2.pamphlet
 	    ${RM} bookvol10.2.ps ; \
             ${RM} bookvol10.2.idx bookvol10.2.tex bookvol10.2.pamphlet ; \
 	    ${RM} bookvol10.2.ilg bookvol10.2.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 ${PDF}/bookvol10.3.pdf: ${IN}/bookvol10.3.pamphlet 
 	@echo books/1 making ${PDF}/bookvol10.3.pdf from ${IN}/bookvol10.3.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol10.3.pamphlet ${PDF}/bookvol10.3.tex ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} bookvol10.3.toc ; \
@@ -267,6 +292,7 @@ ${PDF}/bookvol10.3.pdf: ${IN}/bookvol10.3.pamphlet
 	    ${RM} bookvol10.3.ps ; \
             ${RM} bookvol10.3.idx bookvol10.3.tex bookvol10.3.pamphlet ; \
 	    ${RM} bookvol10.3.ilg bookvol10.3.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} bookvol10.3.toc ; \
 	    ${LATEX} bookvol10.3.tex >${TMP}/trace ; \
@@ -278,12 +304,14 @@ ${PDF}/bookvol10.3.pdf: ${IN}/bookvol10.3.pamphlet
 	    ${RM} bookvol10.3.ps ; \
             ${RM} bookvol10.3.idx bookvol10.3.tex bookvol10.3.pamphlet ; \
 	    ${RM} bookvol10.3.ilg bookvol10.3.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 ${PDF}/bookvol10.4.pdf: ${IN}/bookvol10.4.pamphlet 
 	@echo books/1 making ${PDF}/bookvol10.4.pdf from ${IN}/bookvol10.4.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol10.4.pamphlet ${PDF}/bookvol10.4.tex ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} bookvol10.4.toc ; \
@@ -295,6 +323,7 @@ ${PDF}/bookvol10.4.pdf: ${IN}/bookvol10.4.pamphlet
 	    ${RM} bookvol10.4.ps ; \
             ${RM} bookvol10.4.idx bookvol10.4.tex bookvol10.4.pamphlet ; \
 	    ${RM} bookvol10.4.ilg bookvol10.4.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} bookvol10.4.toc ; \
 	    ${LATEX} bookvol10.4.tex >${TMP}/trace ; \
@@ -306,12 +335,14 @@ ${PDF}/bookvol10.4.pdf: ${IN}/bookvol10.4.pamphlet
 	    ${RM} bookvol10.4.ps ; \
             ${RM} bookvol10.4.idx bookvol10.4.tex bookvol10.4.pamphlet ; \
 	    ${RM} bookvol10.4.ilg bookvol10.4.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 ${PDF}/bookvol10.5.pdf: ${IN}/bookvol10.5.pamphlet 
 	@echo books/1 making ${PDF}/bookvol10.5.pdf from ${IN}/bookvol10.5.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol10.5.pamphlet ${PDF}/bookvol10.5.tex ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} bookvol10.5.toc ; \
@@ -323,6 +354,7 @@ ${PDF}/bookvol10.5.pdf: ${IN}/bookvol10.5.pamphlet
 	    ${RM} bookvol10.5.ps ; \
             ${RM} bookvol10.5.idx bookvol10.5.tex bookvol10.5.pamphlet ; \
 	    ${RM} bookvol10.5.ilg bookvol10.5.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} bookvol10.5.toc ; \
 	    ${LATEX} bookvol10.5.tex >${TMP}/trace ; \
@@ -334,12 +366,14 @@ ${PDF}/bookvol10.5.pdf: ${IN}/bookvol10.5.pamphlet
 	    ${RM} bookvol10.5.ps ; \
             ${RM} bookvol10.5.idx bookvol10.5.tex bookvol10.5.pamphlet ; \
 	    ${RM} bookvol10.5.ilg bookvol10.5.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 ${PDF}/bookvol12.pdf: ${IN}/bookvol12.pamphlet 
 	@echo books/1 making ${PDF}/bookvol12.pdf from ${IN}/bookvol12.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol12.pamphlet ${PDF}/bookvol12.tex ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} bookvol12.toc ; \
@@ -351,6 +385,7 @@ ${PDF}/bookvol12.pdf: ${IN}/bookvol12.pamphlet
 	    ${RM} bookvol12.ps ; \
             ${RM} bookvol12.idx bookvol12.tex bookvol12.pamphlet ; \
 	    ${RM} bookvol12.ilg bookvol12.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} bookvol12.toc ; \
 	    ${LATEX} bookvol12.tex >${TMP}/trace ; \
@@ -362,12 +397,14 @@ ${PDF}/bookvol12.pdf: ${IN}/bookvol12.pamphlet
 	    ${RM} bookvol12.ps ; \
             ${RM} bookvol12.idx bookvol12.tex bookvol12.pamphlet ; \
 	    ${RM} bookvol12.ilg bookvol12.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 ${PDF}/%.pdf: ${IN}/%.pamphlet 
 	@echo 0 making ${PDF}/$*.pdf from ${IN}/$*.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/$*.pamphlet ${PDF} ; \
+	  cp ${IN}/bookheader.tex ${PDF} ; \
 	  cp -pr ${IN}/ps ${PDF} ; \
 	  ${WEAVE} -delay $*.pamphlet >$*.tex ; \
 	  if [ -z "${NOISE}" ] ; then \
@@ -378,6 +415,7 @@ ${PDF}/%.pdf: ${IN}/%.pamphlet
 	    ${DVIPDFM} $*.dvi 2>/dev/null ; \
 	    ${RM} $*.aux $*.dvi $*.log $*.ps $*.idx $*.tex $*.pamphlet ; \
 	    ${RM} $*.ilg $*.ind ; \
+	    ${RM} bookheader.tex ; \
 	  else \
 	    ${RM} $*.toc ; \
 	    ${LATEX} $*.tex >${TMP}/trace ; \
@@ -387,6 +425,7 @@ ${PDF}/%.pdf: ${IN}/%.pamphlet
 	    ${DVIPDFM} $*.dvi 2>${TMP}/trace ; \
 	    ${RM} $*.aux $*.dvi $*.log $*.ps $*.idx $*.tex $*.pamphlet ; \
 	    ${RM} $*.ilg $*.ind ; \
+	    ${RM} bookheader.tex ; \
 	  fi )
 
 @
diff --git a/books/bookheader.tex b/books/bookheader.tex
new file mode 100644
index 0000000..e47851b
--- /dev/null
+++ b/books/bookheader.tex
@@ -0,0 +1,240 @@
+\usepackage{hyperref}
+\usepackage{axiom}
+\usepackage{makeidx}
+\setlength{\textwidth}{400pt}
+\makeindex
+\usepackage{graphicx}
+
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{\VolumeName}}
+\end{titlepage}
+\pagenumbering{roman}
+\begin{verbatim}
+Portions Copyright (c) 2005 Timothy Daly
+
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+Portions Copyright (c) 2004 Martin Dunstan
+Portions Copyright (c) 2007 Alfredo Portes
+Portions Copyright (c) 2007 Arthur Ralfs
+Portions Copyright (c) 2005 Timothy Daly
+
+Portions Copyright (c) 1991-2002, 
+The Numerical ALgorithms Group Ltd.
+All rights reserved.
+
+This book and the Axiom software is licensed as follows:
+
+Redistribution and use in source and binary forms, with or 
+without modification, are permitted provided that the following 
+conditions are
+met:
+
+    - Redistributions of source code must retain the above 
+      copyright notice, this list of conditions and the 
+      following disclaimer.
+
+    - Redistributions in binary form must reproduce the above
+      copyright notice, this list of conditions and the 
+      following disclaimer in the documentation and/or other 
+      materials provided with the distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. 
+      nor the names of its contributors may be used to endorse 
+      or promote products derived from this software without 
+      specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
+CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
+INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
+DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
+CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
+SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
+BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
+SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
+INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
+WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
+OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
+SUCH DAMAGE.
+
+\end{verbatim}
+
+\vfill
+\newpage
+Inclusion of names in the list of credits is based on historical
+information and is as accurate as possible. Inclusion of names
+does not in any way imply an endorsement but represents historical
+influence on Axiom development.
+
+\begin{tabular}{lll}
+Michael Albaugh        & Cyril Alberga          & Roy Adler\\
+Christian Aistleitner  & Richard Anderson       & George Andrews\\
+S.J. Atkins            & Henry Baker            & Martin Baker\\
+Stephen Balzac         & Yurij Baransky         & David R. Barton\\
+Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
+Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
+Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
+Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
+Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
+Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
+William Burge          & Ralph Byers            & Quentin Carpent\\
+Robert Caviness        & Bruce Char             & Ondrej Certik\\
+Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
+Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
+Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
+Don Coppersmith        & George Corliss         & Robert Corless\\
+Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
+David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
+Timothy Daly Jr.       & James H. Davenport     & David Day\\
+James Demmel           & Didier Deshommes       & Michael Dewar\\
+Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
+Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
+Iain Duff              & Lee Duhem              & Martin Dunstan\\
+Brian Dupee            & Dominique Duval        & Robert Edwards\\
+Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
+Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
+Brian Ford             & Albrecht Fortenbacher  & George Frances\\
+Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
+Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
+Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
+Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
+Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
+Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
+Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
+Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
+Sven Hammarling        & Mike Hansen            & Richard Hanson\\
+Richard Harke          & Bill Hart              & Vilya Harvey\\
+Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
+Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
+\end{tabular}
+\vfill
+\newpage
+\begin{tabular}{lll}
+Henderson              & Antoine Hersen         & Roger House\\
+Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
+Richard Jenks          & William Kahan          & Kai Kaminski\\
+Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
+Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
+Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
+Kaj Laurson            & George L. Legendre     & Franz Lehner\\
+Frederic Lehobey       & Michel Levaud          & Howard Levy\\
+Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
+Richard Luczak         & Camm Maguire           & Francois Maltey\\
+Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
+Edi Meier              & Ian Meikle             & David Mentre\\
+Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
+H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
+Scott Morrison         & Joel Moses             & Mark Murray\\
+William Naylor         & Patrice Naudin         & C. Andrew Neff\\
+John Nelder            & Godfrey Nolan          & Arthur Norman\\
+Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
+Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
+Bill Page              & David Parnas           & Susan Pelzel\\
+Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
+Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
+Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
+Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
+Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
+Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
+Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
+Philip Santas          & Alfred Scheerhorn      & William Schelter\\
+Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
+Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
+V. Sima                & Nick Simicich          & William Sit\\
+Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
+Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
+Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
+James Thatcher         & Balbir Thomas          & Mike Thomas\\
+Dylan Thurston         & Steve Toleque          & Barry Trager\\
+Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
+Stephen Watt           & Jaap Weel              & Juergen Weiss\\
+M. Weller              & Mark Wegman            & James Wen\\
+Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
+John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
+Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
+Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
+Liu Xiaojun            & Clifford Yapp          & David Yun\\
+Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
+Bruno Zuercher         & Dan Zwillinger
+\end{tabular}
+\newpage
+
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
diff --git a/books/bookvol11.pamphlet b/books/bookvol11.pamphlet
index d1827a4..b413613 100644
--- a/books/bookvol11.pamphlet
+++ b/books/bookvol11.pamphlet
@@ -1,242 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 11: Axiom Browser}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2007 Alfredo Portes
-Portions Copyright (c) 2007 Arthur Ralfs
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
+\newcommand{\VolumeName}{Volume 11: Axiom Browser}
+\input{bookheader.tex}
 \chapter{Overview}
 This book contains the Firefox browser AJAX routines.
 
diff --git a/changelog b/changelog
index cdfc3c5..e8f4066 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20130428 tpd src/axiom-website/patches.html 20130428.02.tpd.patch
+20130428 tpd books/bookvol11 use bookheader.tex
+20130428 tpd books/Makefile handle bookheader.tex
+20130428 tpd src/doc/axiom.sty collect axiom's standard macros
+20130428 tpd books/bookheader.tex standardize the book headers
 20130428 exm src/axiom-website/patches.html 20130428.01.exm.patch
 20130428 exm faq fix mailing list links
 20130428 exm src/axiom-website/community.html fix mailing list links
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 51c6a8c..77a6a90 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4149,6 +4149,8 @@ Makefile make clean removes all cruft
 books/bookvol10.2 add Attributes as Categories
 <a href="patches/20130428.01.exm.patch">20130428.01.exm.patch</a>
 src/axiom-website/community.html fix mailing list links
+<a href="patches/20130428.02.tpd.patch">20130428.02.tpd.patch</a>
+books/bookheader.tex standardize the book headers
  </body>
 </html>
 
diff --git a/src/doc/axiom.sty.pamphlet b/src/doc/axiom.sty.pamphlet
index 4cb9235..e2975ff 100644
--- a/src/doc/axiom.sty.pamphlet
+++ b/src/doc/axiom.sty.pamphlet
@@ -28,6 +28,144 @@
 %% This macro is called implicitly by \pagehead so every 
 %% category/domain/package can be referenced by fullname or abbrev.
 
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%
+%% Special Meanings for Math Characters
+%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+<<axiom.sty>>=
+\providecommand{\N}{\mbox{\bbold N}}
+\providecommand{\Natural}{\mbox{\bbold N}}
+\providecommand{\Z}{\mbox{\bbold Z}}
+\providecommand{\Integer}{\mbox{\bbold Z}}
+\providecommand{\Rational}{\mbox{\bbold Q}}
+\providecommand{\Q}{\mbox{\bbold Q}}
+\providecommand{\Complex}{\mbox{\bbold C}}
+\providecommand{\C}{{\mathcal C}}
+\providecommand{\Real}{\mbox{\bbold R}}
+\providecommand{\F}{{\mathcal F}}
+\providecommand{\R}{{\mathcal R}}
+@
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%
+%% Struggle with the latex figure-floating behavior
+%% (Note: use a minipage instead. It will inline the figure.
+%%
+%% \spadgraph{draw(sin(tan(x)) - tan(sin(x)),x = 0..6)}
+%% \begin{minipage}{\linewidth}
+%%  \makebox[\linewidth]{\includegraphics[scale=0.5]{ps/2d1vara.eps}}
+%% \begin{center}
+%% $sin(tan(x)) - tan(sin(x))\ \ \ x = 0 \ldots6$
+%% \end{center}
+%% \end{minipage}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+<<axiom.sty>>=
+\renewcommand\floatpagefraction{.9}
+\renewcommand\topfraction{.9}
+\renewcommand\bottomfraction{.9}
+\renewcommand\textfraction{.1}
+\setcounter{totalnumber}{50}
+\setcounter{topnumber}{50}
+\setcounter{bottomnumber}{50}
+@
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%
+%% These are used to delimit code in bookvol0
+%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%
+%% sechead consolidates standard page indexing
+%% it replaces the \section tag for domains so we
+%% create proper cross references and index entries
+%%
+<<axiom.sty>>=
+\newcommand{\domainhead}[1]{% e.g. \domainhead{domain}
+\section{#1}
+\label{#1}%
+\index{{#1}}}%
+@
+
+%%
+%% domainref consolidates standard page indexing
+%% it replaces the \ref tag for domain
+%%
+<<axiom.sty>>=
+\newcommand{\domainref}[1]{% e.g. \domainref{domain}
+{\tt #1}{ \ref{#1} on page~\pageref{#1}}}
+@
+
+%%
+%% sectionref consolidates standard page indexing
+%% it replaces the \ref tag for labels
+%%
+<<axiom.sty>>=
+\newcommand{\sectionref}[1]{% e.g. \sectionref{domain}
+{section~\ref{#1} on page~\pageref{#1}}}
+@
+
+%%
+%% figureref consolidates standard page indexing
+%% it replaces the \ref tag for labels
+%%
+<<axiom.sty>>=
+\newcommand{\figureref}[1]{% e.g. \sectionref{domain}
+{figure~\ref{#1} on page~\pageref{#1}}}
+
+\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
+\providecommand{\argDef}[1]{{\tt ({#1})}}
+\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
+\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
+\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
+
+\def\glossaryTerm#1{{\bf #1}\index{#1}}
+\def\glossaryTermNoIndex#1{{\bf #1}}
+\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
+\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
+\def\csch{\mathop{\rm csch}\nolimits}
+
+\def\erf{\mathop{\rm erf}\nolimits}
+
+\def\zag#1#2{
+  {{\hfill \left. {#1} \right|}
+   \over
+   {\left| {#2} \right. \hfill}
+  }
+}
+@
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%
+%% These are used in books explaining Hyperdoc pages
+%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+<<axiom.sty>>=
+\newdimen\commentWidth 
+\commentWidth=11pc
+\newdimen\colGutterWidth 
+\colGutterWidth=1pc
+\newdimen\baseLeftSkip
+\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
+
+\providecommand\ExitBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
+
+\providecommand\ReturnBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
+
+\providecommand\HelpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
+
+\providecommand\UpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
+@
+
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %%
 %% dest will give the ability to use nameddest= in html pdfs
